var importador = mapperFactory.createMapper("Importador");
var i = 0;
var obj = message.get("obj");

try {
    var existe = importador.selectOne("listarEstNfSaiExclusao",obj);
    if(!existe){
        throw {code: 599, message: 'Nota de Saida não encontrada para Exlusão.'};
    }else{
        var checkin = importador.selectOne("listarEstNfSaiCheckInEntrada",obj);
        if(checkin){
            throw {code: 599, message: 'Nota de Saida com checkin realizado no destino, Exlusão Não permitida.'};
        }else{
    	    importador.insert("excluirEstNfSai",obj);
        }
    	importador.commit();
    }	
}catch(err) {
	java.lang.System.out.println(err);
	importador.rollback();
    
    if(err.code){
      throw JSON.stringify(err);
    }
    var objectMapper = new com.google.gson.GsonBuilder().create();
    throw "{erro:true,  message:'" + objectMapper.toJson({message : err.javaException.message.replaceAll("\"", "\\\"")})+"'}";
}
